# Get Instance

Endpoint for retrieving a specific instance.

Endpoint: GET /api/instances/{id}
Version: 1.0
Security: x-api-key

## Query parameters:

  - `infrastructureID` (string)
    ID of the infrastructure

  - `orgIdentifier` (string)
    Org is the organization identifier.

  - `projectIdentifier` (string)
    Project is the project identifier.

## Path parameters:

  - `id` (string, required)
    ID of the instance

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.

## Response 200 fields (application/json):

  - `appliedRevision` (integer)
    Revision of the instance that is currently active

  - `backend` (string)

  - `createdAt` (string)

  - `currentState` (object)

  - `currentState.state` (string, required)
    Enum: "unknown", "inactive", "instantiated", "running", "paused"

  - `id` (string)

  - `infrastructureId` (string)

  - `message` (string)

  - `outputs` (object)

  - `progress` (object)

  - `progress.progress` (string, required)
    Enum: "unknown", "pending", "running", "done", "failed", "aborted", "skipped"

  - `step` (object)

  - `step.step` (string, required)
    Enum: "unknown", "apply", "destroy", "create", "delete", "pause", "resume"

  - `targetRevision` (integer)
    Target revision of the instance

  - `targetState` (object)

  - `updatedAt` (string)

  - `url` (string)

## Response 400 fields (application/json):

  - `code` (string)

  - `details` (object)

  - `message` (string, required)

  - `name` (string, required)


